//-----------------------------------------------------------------------------
//
// Title       : No Title
// Design      : lib370
// Author      : Carl Ebeling
// Company     : UW CSE
//
//-----------------------------------------------------------------------------
//
// File        : l:\compile\elements.v
// Generated   : Mon Sep 27 17:28:35 2010
// From        : l:\src\src\elements.bde
// By          : Bde2Verilog ver. 2.01
//
//-----------------------------------------------------------------------------
//
// Description : 
//
//-----------------------------------------------------------------------------

`ifdef _VCP
`else
`define library(a,b)
`endif


// ---------- Design Unit Header ---------- //
`timescale 1ps / 1ps

module elements ;

// ----------------- Constants ------------ //
parameter DANGLING_INPUT_CONSTANT = 1'bZ;

// ----------- Signal declarations -------- //
wire in;
wire in2;
wire NET65;
wire NET77;
wire o0;
wire o1;
wire out;

// ---- Declaration for Dangling inputs ----//
wire Dangling_Input_Signal = DANGLING_INPUT_CONSTANT;

// -------- Component instantiations -------//

AND2 U1
(
	.I0(in),
	.I1(in),
	.O(NET65)
);



LD U10
(
	.D(Dangling_Input_Signal),
	.G(Dangling_Input_Signal),
	.Q()
);



NAND2 U11
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.O()
);



NAND3 U12
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.I2(Dangling_Input_Signal),
	.O()
);



NAND4 U13
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.I2(Dangling_Input_Signal),
	.I3(Dangling_Input_Signal),
	.O()
);



NOR2 U14
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.O()
);



NOR3 U15
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.I2(Dangling_Input_Signal),
	.O()
);



NOR4 U16
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.I2(Dangling_Input_Signal),
	.I3(Dangling_Input_Signal),
	.O()
);



OR3 U17
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.I2(Dangling_Input_Signal),
	.O()
);



OR4 U18
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.I2(Dangling_Input_Signal),
	.I3(Dangling_Input_Signal),
	.O()
);



XOR2 U19
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.O()
);



OR2 U2
(
	.I0(NET77),
	.I1(NET77),
	.O(out)
);



XOR3 U20
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.I2(Dangling_Input_Signal),
	.O()
);



XOR4 U21
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.I2(Dangling_Input_Signal),
	.I3(Dangling_Input_Signal),
	.O()
);



AND3N U22
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.I2(Dangling_Input_Signal),
	.O()
);



AND4N U23
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.I2(Dangling_Input_Signal),
	.I3(Dangling_Input_Signal),
	.O()
);



OR2N U24
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.O()
);



OR3N U25
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.I2(Dangling_Input_Signal),
	.O()
);



OR4N U26
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.I2(Dangling_Input_Signal),
	.I3(Dangling_Input_Signal),
	.O()
);



INVN U27
(
	.I(Dangling_Input_Signal),
	.O()
);



NAND2N U28
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.O()
);



NOR2N U29
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.O()
);



AND2N U3
(
	.I0(NET65),
	.I1(NET65),
	.O(NET77)
);



BUFT U30
(
	.I(Dangling_Input_Signal),
	.O(),
	.T(Dangling_Input_Signal)
);



mux4 U31
(
	.i0(Dangling_Input_Signal),
	.i1(Dangling_Input_Signal),
	.i2(Dangling_Input_Signal),
	.i3(Dangling_Input_Signal),
	.out(),
	.s0(Dangling_Input_Signal),
	.s1(Dangling_Input_Signal)
);



mux8 U32
(
	.i0(Dangling_Input_Signal),
	.i1(Dangling_Input_Signal),
	.i2(Dangling_Input_Signal),
	.i3(Dangling_Input_Signal),
	.i4(Dangling_Input_Signal),
	.i5(Dangling_Input_Signal),
	.i6(Dangling_Input_Signal),
	.i7(Dangling_Input_Signal),
	.out(),
	.s0(Dangling_Input_Signal),
	.s1(Dangling_Input_Signal),
	.s2(Dangling_Input_Signal)
);



decode2 U33
(
	.En(in2),
	.I(in),
	.O0(o1),
	.O1(o0)
);



decode4 U34
(
	.En(Dangling_Input_Signal),
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.O0(),
	.O1(),
	.O2(),
	.O3()
);



decode8 U35
(
	.En(Dangling_Input_Signal),
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.I2(Dangling_Input_Signal),
	.O0(),
	.O1(),
	.O2(),
	.O3(),
	.O4(),
	.O5(),
	.O6(),
	.O7()
);



mux2 U36
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.O(),
	.S(Dangling_Input_Signal)
);



FD U37
(
	.C(Dangling_Input_Signal),
	.D(Dangling_Input_Signal),
	.Q()
);



BUFE U38
(
	.E(Dangling_Input_Signal),
	.I(Dangling_Input_Signal),
	.O()
);



Delay U39
(
	.I(Dangling_Input_Signal),
	.O()
);



AND3 U4
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.I2(Dangling_Input_Signal),
	.O()
);



dram U40
(
	.CLK(Dangling_Input_Signal),
	.addr({8{Dangling_Input_Signal}}),
	.data(),
	.write(Dangling_Input_Signal)
);



iram U41
(
	.addr({6{Dangling_Input_Signal}}),
	.data()
);



BUF U5
(
	.I(Dangling_Input_Signal),
	.O()
);



AND4 U6
(
	.I0(Dangling_Input_Signal),
	.I1(Dangling_Input_Signal),
	.I2(Dangling_Input_Signal),
	.I3(Dangling_Input_Signal),
	.O()
);



FDC U7
(
	.C(Dangling_Input_Signal),
	.D(Dangling_Input_Signal),
	.Q(),
	.RST(Dangling_Input_Signal)
);



FDCE U8
(
	.C(Dangling_Input_Signal),
	.CE(Dangling_Input_Signal),
	.D(Dangling_Input_Signal),
	.Q(),
	.RST(Dangling_Input_Signal)
);



INV U9
(
	.I(Dangling_Input_Signal),
	.O()
);



endmodule 
