
/*

FUNCTION	: D-FLIP-FLOP

*/

`timescale  1ns/1ns

module FD (Q, C, D);

    output Q;
    reg    qout;

    input  C, D;	
	
	assign #1 Q = qout;
	always @(posedge C)
		 qout <= D;

    specify
	(posedge C => (Q +: D)) = (1, 1);
    endspecify

endmodule
