`timescale  1ns/1ns

module c7402 (/*AUTOARG*/
   // Outputs
   Y1, Y2, Y3, Y4, 
   // Inputs
   vddc, gndc, A1, B1, A2, B2, A3, B3, A4, B4
   );
   input vddc, gndc;
   input A1, B1, A2, B2, A3, B3, A4, B4;
   output Y1, Y2, Y3, Y4;

   assign #1 Y1 = (A1|B1) ? gndc : vddc;
   assign #1 Y2 = (A2|B2) ? gndc : vddc;
   assign #1 Y3 = (A3|B3) ? gndc : vddc;
   assign #1 Y4 = (A4|B4) ? gndc : vddc;
   
endmodule
