`timescale  1ns/1ns

module c7410 (/*AUTOARG*/
   // Outputs
   Y1, Y2, Y3, 
   // Inputs
   vddc, gndc, A1, B1, C1, A2, B2, C2, A3, B3, C3
   );
   input vddc, gndc;
   input A1, B1, C1,  A2, B2, C2, A3, B3, C3;
   output Y1, Y2, Y3;

   assign #1 Y1 = (A1&B1&C1) ? gndc : vddc;
   assign #1 Y2 = (A2&B2&C2) ? gndc : vddc;
   assign #1 Y3 = (A3&B3&C3) ? gndc : vddc;
   
endmodule
