`timescale  1ns/1ns

module c74138 (/*AUTOARG*/
   // Outputs
   Y0, Y1, Y2, Y3, Y4, Y5, Y6, Y7, 
   // Inputs
   vddc, gndc, A0, A1, A2, E1, E2, E3
   );
   input vddc, gndc;
   input A0, A1, A2;
   input E1, E2, E3;
   output Y0, Y1, Y2, Y3, Y4, Y5, Y6, Y7;

   wire   EN = (~E1&~E2&E3);
   assign #2 Y0 = ~A2&~A1&~A0&EN ? gndc : vddc;
   assign #2 Y1 = ~A2&~A1& A0&EN ? gndc : vddc;
   assign #2 Y2 = ~A2& A1&~A0&EN ? gndc : vddc;
   assign #2 Y3 = ~A2& A1& A0&EN ? gndc : vddc;
   assign #2 Y4 =  A2&~A1&~A0&EN ? gndc : vddc;
   assign #2 Y5 =  A2&~A1& A0&EN ? gndc : vddc;
   assign #2 Y6 =  A2& A1&~A0&EN ? gndc : vddc;
   assign #2 Y7 =  A2& A1& A0&EN ? gndc : vddc;
   
endmodule
