`timescale  1ns/1ns

module c74151 (/*AUTOARG*/
   // Outputs
   Y, Y_N, 
   // Inputs
   vddc, gndc, I0, I1, I2, I3, I4, I5, I6, I7, S2, S1, S0, EN
   );
   input vddc, gndc;
   input I0, I1, I2, I3, I4, I5, I6, I7;
   input S2, S1, S0;
   input EN;
   output Y, Y_N;
   wire   E = ~EN&vddc&~gndc;
   assign #2 Y = ~S2&~S1&~S0&E&I0 | 
	  ~S2&~S1& S0&E&I1 |
	  ~S2& S1&~S0&E&I2 | 
	  ~S2& S1& S0&E&I3 |
	   S2&~S1&~S0&E&I4 |
	   S2&~S1& S0&E&I5 |
	   S2& S1&~S0&E&I6 |
	   S2& S1& S0&E&I7;
   assign    Y_N = ~Y;
endmodule
