`timescale  1ns/1ns

module c74157 (/*AUTOARG*/
   // Outputs
   YA, YB, YC, YD, 
   // Inputs
   vddc, gndc, A0, A1, B0, B1, C0, C1, D0, D1, S, EN
   );
   input vddc, gndc;
   input A0, A1;
   input B0, B1;
   input C0, C1;
   input D0, D1;
   input S;
   input EN;
   output YA, YB, YC, YD;
   wire   E = ~EN&vddc&~gndc;
   assign #2 YA = ~S&E&A0 | S&E&A1;
   assign #2 YB = ~S&E&B0 | S&E&B1;
   assign #2 YC = ~S&E&C0 | S&E&C1;
   assign #2 YD = ~S&E&D0 | S&E&D1;
endmodule
