
/*

FUNCTION	: D-LATCH

*/

`timescale  1ns/1ns

module LD (Q, D, G);

    output Q;
    reg    q_out;

    input  D, G;

    buf B1 (Q, q_out);

	always @(D or G)
	    if (G) q_out <= D;

    specify
	if (G)
	    (D +=> Q) = (1, 1);
	(posedge G => (Q +: D)) = (1, 1);
    endspecify

endmodule
