`timescale  1ns/1ns

module c7404 (/*AUTOARG*/
   // Outputs
   Y1, Y2, Y3, Y4, Y5, Y6, 
   // Inputs
   vddc, gndc, I1, I2, I3, I4, I5, I6
   );
   input vddc, gndc;
   input I1, I2, I3, I4, I5, I6;
   output Y1, Y2, Y3, Y4, Y5, Y6;

   assign #1 Y1 = I1 ? gndc : vddc;
   assign #1 Y2 = I2 ? gndc : vddc;
   assign #1 Y3 = I3 ? gndc : vddc;
   assign #1 Y4 = I4 ? gndc : vddc;
   assign #1 Y5 = I5 ? gndc : vddc;
   assign #1 Y6 = I6 ? gndc : vddc;
   
endmodule
