`timescale  1ns/1ns

module c74153 (/*AUTOARG*/
   // Outputs
   YA, YB, 
   // Inputs
   vddc, gndc, A0, A1, A2, A3, B0, B1, B2, B3, S1, S0, EA, EB
   );
   input vddc, gndc;
   input A0, A1, A2, A3;
   input B0, B1, B2, B3;
   input S1, S0;
   input EA, EB;
   output YA, YB;
   wire   ENA = ~EA&vddc&~gndc;
   wire   ENB = ~EB&vddc&~gndc;
   assign #2 YA = ~S1&~S0&ENA&A0 | 
	  ~S1& S0&ENA&A1 |
	   S1&~S0&ENA&A2 | 
	   S1& S0&ENA&A3;
   assign #2 YB = ~S1&~S0&ENB&B0 | 
	  ~S1& S0&ENB&B1 |
	   S1&~S0&ENB&B2 | 
	   S1& S0&ENB&B3;
endmodule
