`timescale  1ns/1ns

module c7420 (/*AUTOARG*/
   // Outputs
   Y1, Y2, 
   // Inputs
   vddc, gndc, A1, B1, C1, D1, A2, B2, C2, D2
   );
   input vddc, gndc;
   input A1, B1, C1, D1, A2, B2, C2, D2;
   output Y1, Y2;

   assign #1 Y1 = (A1&B1&C1&D1) ? gndc : vddc;
   assign #1 Y2 = (A2&B2&C2&D2) ? gndc : vddc;
   
endmodule
