`timescale  1ns/1ns

module c74244 (/*AUTOARG*/
   // Outputs
   YA0, YA1, YA2, YA3, YB0, YB1, YB2, YB3, 
   // Inputs
   vddc, gndc, A0, A1, A2, A3, B0, B1, B2, B3, OEA, OEB
   );
   input vddc, gndc;
   input A0, A1, A2, A3;
   output YA0, YA1, YA2, YA3;
   input B0, B1, B2, B3;
   output YB0, YB1, YB2, YB3;
   input  OEA, OEB;
   
   assign #1 YA0 = ~OEA ? A0&vddc&~gndc : 1'bZ;
   assign #1 YA1 = ~OEA ? A1&vddc&~gndc : 1'bZ;
   assign #1 YA2 = ~OEA ? A2&vddc&~gndc : 1'bZ;
   assign #1 YA3 = ~OEA ? A3&vddc&~gndc : 1'bZ;
   assign #1 YB0 = ~OEB ? B0&vddc&~gndc : 1'bZ;
   assign #1 YB1 = ~OEB ? B1&vddc&~gndc : 1'bZ;
   assign #1 YB2 = ~OEB ? B2&vddc&~gndc : 1'bZ;
   assign #1 YB3 = ~OEB ? B3&vddc&~gndc : 1'bZ;
   
endmodule
