//
// 2-1 Multiplexor
//

`timescale 1 ns/1 ns

module mux2 (O, I0, I1, S);

  output O;
  input I0, I1, S;
  reg O;
  
  always @(I0 or I1 or S) begin
	  #1
	  if (S == 1'b0)  O = I0;
	  else if (S == 1'b1)  O = I1;
	  else if (S == 1'bx) begin
		  if (I0 == I1)  O = I0;
		  else  O = 1'bx;		  
	  end
	  else  O = 1'bx;
	end
		  
endmodule
